@echo off
rem update_chkr2.cmd
rem Appchkr update, step 2  v. 180509
rem Copyright 2018 Nova Software, www.nova-sw.com

setlocal enableextensions disabledelayedexpansion  2>>update_chkr.log

if not exist Appchkr.typ goto MISSING1   2>>update_chkr.log
if not exist chkr_release_nbr.txt goto MISSING2  2>>update_chkr.log
goto ON1  2>>update_chkr.log
:MISSING1
echo Missing Appchkr.typ file.  Cannot update. 1>> update_chkr.log 
prl\bin\perl subvar.pl  msg\updt\u_msng_typ.txt   2>>update_chkr.log
pause
goto :EOF  2>>update_chkr.log
:MISSING2
echo Missing chkr_release_nbr.txt file.  Cannot update. 1>> update_chkr.log 
prl\bin\perl subvar.pl  msg\updt\u_msng_relnbr.txt   2>>update_chkr.log
pause 
goto :EOF  2>>update_chkr.log

:ON1
if not exist new_chkr_rel_nbr (
    echo Missing new_chkr_rel_nbr file. No update.  >>update_chkr.log 
    prl\bin\perl subvar.pl  msg\updt\u_msng_new.txt   2>>update_chkr.log
    pause
    goto :EOF
) 
set /p new_chkr_rel_nbr=<new_chkr_rel_nbr   2>>update_chkr.log
echo new release is %new_chkr_rel_nbr% 1>>update_chkr.log
set /p chkr_type=<appchkr.typ  2>>update_chkr.log

echo chkr type is %chkr_type%  1>>update_chkr.log

set /p chkr_prv_rel_nbr=<chkr_release_nbr.txt  2>>update_chkr.log
echo prv rel nbr is %chkr_prv_rel_nbr%   1>>update_chkr.log
copy /b /y chkr_release_nbr.txt  chkr_prv_release_nbr.txt  2>>update_chkr.log

if [%1] == [rb] goto NEXT
prl\bin\perl subvar.pl msg\updt\u_greet.txt  %chkr_type%  %new_chkr_rel_nbr%  %chkr_type%   2>>update_chkr.log
set /p do_update= 
if [%do_update%]==[Q] goto NO  2>>update_chkr.log
if [%do_update%]==[q] goto NO  2>>update_chkr.log

:NEXT
call killchkrs.cmd  1>>update_chkr.log   2>&1
call stopuwi.cmd   1>>update_chkr.log   2>&1

echo Updating %chkr_type%   1>>update_chkr.log   2>&1
echo Updating %chkr_type% to release %new_chkr_rel_nbr% , please wait...   2>&1
attrib -r * /s /d  1>>update_chkr.log  2>&1
attrib +r .bcdfgh  1>>update_chkr.log  2>&1
attrib +r .chkr_base_dir  1>>update_chkr.log  2>&1
attrib +r appchkr.typ  1>>update_chkr.log  2>&1
.\bin\7z x -aoa chkr_core_update.zip  1>>update_chkr.log  2>&1
if not %ERRORLEVEL%==0 (
    echo Unzip failed, no update, code %ERRORLEVEL%  .   >>update_chkr.log
    prl\bin\perl subvar.pl msg\updt\u_unzip_err.txt
    pause
    goto :EOF
)
del /f /q chkr_core_update.zip  1>>update_chkr.log  2>&1

rem MSWin is currently the default
rem attrib -r prl\*  /s /d  1>>install_chkr.log  2>&1
rem xcopy /h /r /q /e /y /v /c /k   prl\mswin_lib\*   prl\lib\  2>>install_chkr.log
attrib +r prl\* /s /d  1>>update_chkr.log  2>&1
attrib +r bin\*    1>>update_chkr.log  2>&1

del /f /q *chkr?  1>>update_chkr.log  2>&1
del /f /q  chkr_zipr  1>>update_chkr.log  2>&1
del /f /q *uwi  1>>update_chkr.log  2>&1
del /f /q O_startuwi.cmd   1>>update_chkr.log  2>&1

set /p chkr_rel_nbr=<chkr_release_nbr.txt  2>>update_chkr.log
echo chkr rel nbr is %chkr_rel_nbr%   1>>update_chkr.log  2>&1

move /y rel%chkr_rel_nbr%\pgm\O_appchkr.pl   rel%chkr_rel_nbr%\pgm\%chkr_type%.pl  1>>update_chkr.log  2>&1
move /y rel%chkr_rel_nbr%\pgm\O_appchkruwi.pl   rel%chkr_rel_nbr%\pgm\appchkruwi.pl  1>>update_chkr.log  2>&1

copy /b /y * bak\*  1>>update_chkr.log  2>&1
attrib +r bak\*   1>>update_chkr.log  2>&1
del /f /q  chkr*.zip  1>>update_chkr.log  2>&1

if %chkr_prv_rel_nbr%==%chkr_rel_nbr% goto FINISH  2>>update_chkr.log 
    del /s /q rel%chkr_prv_rel_nbr%\*  1>>update_chkr.log  2>&1
    rd /s /q rel%chkr_prv_rel_nbr%    1>>update_chkr.log  2>&1
rem endif

:FINISH
del /f /q  new_chkr_rel_nbr
echo Success  1>>update_chkr.log
prl\bin\perl subvar.pl  msg\updt\u_ok.txt  %chkr_type%  %chkr_rel_nbr%   2>>update_chkr.log
pause 
goto :EOF

:NO
prl\bin\perl subvar.pl  msg\updt\u_no.txt  2>>update_chkr.log
set /p ignore_update=
if [%ignore_update%]==[] goto LATER 2>>update_chkr.log
if not [%ignore_update%]==[I] goto LATER  2>>update_chkr.log
echo Ignoring release %new_chkr_rel_nbr% .   1>>update_chkr.log
echo  %new_chkr_rel_nbr% > .ignore_update  2>>update_chkr.log
echo %chkr_type% release %new_chkr_rel_nbr% will be ignored.
pause
goto :EOF

:LATER
echo Update later  1>>update_chkr.log
echo Update later.
pause

